Bug 1271563 - Cannot create an Amazon Service Catalog item as a tenant admin
Cannot create an Amazon Service Catalog item as a tenant admin
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: mkanoor
Pavol Kotvan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 05:50 EDT by Pavol Kotvan
Modified: 2015-12-08 08:38 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:38:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt from production.log (9.30 KB, text/plain)
2015-10-14 05:50 EDT, Pavol Kotvan
no flags Details

  None (edit)
Description Pavol Kotvan 2015-10-14 05:50:53 EDT
Created attachment 1082762 [details]
excerpt from production.log

Description of problem:
When trying to add new catalog item as tenant admin and choosing Amazon or Openstack provider, I am getting error page.

Version-Release number of selected component (if applicable):
5.5.0.5-beta1.1.20151007163855_ed40d96

How reproducible:
Always

Steps to Reproduce:
1. Create tenant admin: Configure -> Configuration -> Access Control -> Users -> Configuration -> Add a new user
2. Fill in username, password and assign this user to EvmGroup-tenant_administrator
3. Login as tenant admin
4. Go to Services -> Catalogs -> Catalog Items
5. Click on Configuration -> Add a New Catalog Item
6. From "Catalog Item Type" dropdown menu select -> Amazon
   I am getting similar error also when selecting Openstack provider from dropdown menu. 

Actual results:
When Amazon provider is chosen:
undefined method `get_timezones' for #<ManageIQ::Providers::Amazon::CloudManager::ProvisionWorkflow:0x0000000cbe8528> [catalog/atomic_form_field_changed] 

When Openstack provider is chosen:
undefined method `get_timezones' for #<ManageIQ::Providers::Openstack::CloudManager::ProvisionWorkflow:0x0000000481f750> [catalog/atomic_form_field_changed] 

Expected results:
Item edit form appears.

Additional info:
Comment 5 Greg McCullough 2015-10-19 12:06:55 EDT
The .missing instance was deleted from ManageIQ/Cloud/VM/Provisioning/Profile in this commit (https://github.com/epwinchell/manageiq/commit/a6dc83b694e100b11093ccb245caa143ebb4b029) which is causing the issue.  Only groups with a matching instance will work, by default this is super_admin and user_self_service.

The .missing instance needs to be restored.
Comment 6 CFME Bot 2015-10-19 16:25:18 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/678953e69e7993330b93d8ccd3b875802577b719

commit 678953e69e7993330b93d8ccd3b875802577b719
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Mon Oct 19 14:42:03 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Mon Oct 19 14:54:00 2015 -0400

    Added missing yaml for Automate
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1271563
    
    This missing file was causing Amazon provision to fail.

 .../ManageIQ/Cloud/VM/Provisioning/Profile.class/_missing.yaml | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Profile.class/_missing.yaml
Comment 8 Pavol Kotvan 2015-10-26 07:28:16 EDT
Verified against 5.5.0.7-beta1.3.20151021133253_ed40d96. Tried to pick all providers from "Catalog Item Type" dropdown menu. It is working as expected now.
Comment 10 errata-xmlrpc 2015-12-08 08:38:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.